Index: uvm/uvm_meter.c
===================================================================
RCS file: /cvs/OpenBSD/src/sys/uvm/uvm_meter.c,v
retrieving revision 1.24
retrieving revision 1.24.6.3
diff -u -r1.24 -r1.24.6.3
--- uvm/uvm_meter.c	15 Dec 2007 03:42:57 -0000	1.24
+++ uvm/uvm_meter.c	18 Feb 2009 12:43:26 -0000	1.24.6.3
@@ -100,20 +100,23 @@
 {
 	int i, nrun;
 	struct proc *p;
+	struct inst *inst;
 
 	nrun = 0;
-	LIST_FOREACH(p, &allproc, p_list) {
-		switch (p->p_stat) {
-		case SSLEEP:
-			if (p->p_priority > PZERO || p->p_slptime > 1)
-				continue;
-		/* FALLTHROUGH */
-		case SRUN:
-		case SONPROC:
-			if (p == p->p_cpu->ci_schedstate.spc_idleproc)
-				continue;
-		case SIDL:
-			nrun++;
+	LIST_FOREACH(inst, &inst_all, inst_list) {
+		LIST_FOREACH(p, &inst->inst_proc->allproc, p_list) {
+			switch (p->p_stat) {
+			case SSLEEP:
+				if (p->p_priority > PZERO || p->p_slptime > 1)
+					continue;
+			/* FALLTHROUGH */
+			case SRUN:
+			case SONPROC:
+				if (p == p->p_cpu->ci_schedstate.spc_idleproc)
+					continue;
+			case SIDL:
+				nrun++;
+			}
 		}
 	}
 	for (i = 0; i < 3; i++)
@@ -236,6 +239,7 @@
 	struct vmtotal *totalp;
 {
 	struct proc *p;
+	struct inst *inst;
 #if 0
 	struct vm_map_entry *	entry;
 	struct vm_map *map;
@@ -248,52 +252,54 @@
 	 * calculate process statistics
 	 */
 
-	LIST_FOREACH(p, &allproc, p_list) {
-		if (p->p_flag & P_SYSTEM)
-			continue;
-		switch (p->p_stat) {
-		case 0:
-			continue;
-
-		case SSLEEP:
-		case SSTOP:
-			if (p->p_priority <= PZERO)
-				totalp->t_dw++;
-			else if (p->p_slptime < maxslp)
-				totalp->t_sl++;
-			if (p->p_slptime >= maxslp)
+	LIST_FOREACH(inst, &inst_all, inst_list) {
+		LIST_FOREACH(p, &inst->inst_proc->allproc, p_list) {
+			if (p->p_flag & P_SYSTEM)
 				continue;
-			break;
-
-		case SRUN:
-		case SIDL:
-		case SONPROC:
-			totalp->t_rq++;
-			if (p->p_stat == SIDL)
+			switch (p->p_stat) {
+			case 0:
 				continue;
-			break;
+	
+			case SSLEEP:
+			case SSTOP:
+				if (p->p_priority <= PZERO)
+					totalp->t_dw++;
+				else if (p->p_slptime < maxslp)
+					totalp->t_sl++;
+				if (p->p_slptime >= maxslp)
+					continue;
+				break;
+	
+			case SRUN:
+			case SIDL:
+			case SONPROC:
+				totalp->t_rq++;
+				if (p->p_stat == SIDL)
+					continue;
+				break;
+			}
+			/*
+			 * note active objects
+			 */
+	#if 0
+			/*
+			 * XXXCDC: BOGUS!  rethink this.   in the mean time
+			 * don't do it.
+			 */
+			paging = 0;
+			vm_map_lock(map);
+			for (map = &p->p_vmspace->vm_map, entry = map->header.next;
+			    entry != &map->header; entry = entry->next) {
+				if (entry->is_a_map || entry->is_sub_map ||
+				    entry->object.uvm_obj == NULL)
+					continue;
+				/* XXX how to do this with uvm */
+			}
+			vm_map_unlock(map);
+			if (paging)
+				totalp->t_pw++;
+	#endif
 		}
-		/*
-		 * note active objects
-		 */
-#if 0
-		/*
-		 * XXXCDC: BOGUS!  rethink this.   in the mean time
-		 * don't do it.
-		 */
-		paging = 0;
-		vm_map_lock(map);
-		for (map = &p->p_vmspace->vm_map, entry = map->header.next;
-		    entry != &map->header; entry = entry->next) {
-			if (entry->is_a_map || entry->is_sub_map ||
-			    entry->object.uvm_obj == NULL)
-				continue;
-			/* XXX how to do this with uvm */
-		}
-		vm_map_unlock(map);
-		if (paging)
-			totalp->t_pw++;
-#endif
 	}
 	/*
 	 * Calculate object memory usage statistics.
